#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_group.py
    author:rabin
"""
from __load__ import *

class Device_group(Model):
	__table__ = 'device_group'
	__comment__ = '设备分组管理'
	id = Fields(type='uuid', primaryKey=True, comment='分组ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='分组名')
	page_id = Fields(type='uuid', comment='页面ID')
	devices = Fields(type='text', comment='设备id，逗号隔开')
	inorder = Fields(type='int', default='0', comment='排序', match='number|排序必须是数字')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')